package com.yonge.cooleshow.biz.dal.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.io.Serializable;
import java.util.List;

@ApiModel(value = "SaveOrUpdateRewardDto对象", description = "修改奖品对象")
public class SaveOrUpdateRewardDto implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("活动id")
    @NotNull(message = "活动id不能为空")
    private Long activityId;

    @ApiModelProperty("奖品集合")
    private List<ActivityPlanRewardDto> updateRewardDtoList;

    public Long getActivityId() {
        return activityId;
    }

    public void setActivityId(Long activityId) {
        this.activityId = activityId;
    }

    public List<ActivityPlanRewardDto> getUpdateRewardDtoList() {
        return updateRewardDtoList;
    }

    public void setUpdateRewardDtoList(List<ActivityPlanRewardDto> updateRewardDtoList) {
        this.updateRewardDtoList = updateRewardDtoList;
    }
}
